import { JavaObject } from '../../../java/lang/JavaObject';
import { GostBelegpruefungErgebnisFehler } from '../../../core/abschluss/gost/GostBelegpruefungErgebnisFehler';
import { List } from '../../../java/util/List';
import { Vector } from '../../../java/util/Vector';
export declare class GostBelegpruefungErgebnis extends JavaObject {
    erfolgreich: boolean;
    fehlercodes: Vector<GostBelegpruefungErgebnisFehler>;
    log: List<String>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBelegpruefungErgebnis;
    static transpilerToJSON(obj: GostBelegpruefungErgebnis): string;
    static transpilerToJSONPatch(obj: Partial<GostBelegpruefungErgebnis>): string;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_gost_GostBelegpruefungErgebnis(obj: unknown): GostBelegpruefungErgebnis;
